## wmaker 0.95.9

=== WINGs/Examples/Makefile ===
# Makefile.in generated by automake 1.16.1 from Makefile.am.
# WINGs/Examples/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2018 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/WindowMaker
pkgincludedir = $(includedir)/WindowMaker
pkglibdir = $(libdir)/WindowMaker
pkglibexecdir = $(libexecdir)/WindowMaker
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = x86_64-pc-linux-gnu
noinst_PROGRAMS = fontl$(EXEEXT) puzzle$(EXEEXT) colorpick$(EXEEXT)
subdir = WINGs/Examples
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/ax_cflags_gcc_option.m4 \
	$(top_srcdir)/m4/ax_pthread.m4 \
	$(top_srcdir)/m4/ld-version-script.m4 \
	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
	$(top_srcdir)/m4/lt~obsolete.m4 \
	$(top_srcdir)/m4/windowmaker.m4 \
	$(top_srcdir)/m4/wm_attributes.m4 \
	$(top_srcdir)/m4/wm_cflags_check.m4 \
	$(top_srcdir)/m4/wm_i18n.m4 \
	$(top_srcdir)/m4/wm_imgfmt_check.m4 \
	$(top_srcdir)/m4/wm_libexif.m4 $(top_srcdir)/m4/wm_libmath.m4 \
	$(top_srcdir)/m4/wm_prog_cc_c11.m4 \
	$(top_srcdir)/m4/wm_xext_check.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
PROGRAMS = $(noinst_PROGRAMS)
colorpick_SOURCES = colorpick.c
colorpick_OBJECTS = colorpick.$(OBJEXT)
colorpick_LDADD = $(LDADD)
AM_V_lt = $(am__v_lt_$(V))
am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
am__v_lt_0 = --silent
am__v_lt_1 = 
fontl_SOURCES = fontl.c
fontl_OBJECTS = fontl.$(OBJEXT)
fontl_LDADD = $(LDADD)
puzzle_SOURCES = puzzle.c
puzzle_OBJECTS = puzzle.$(OBJEXT)
puzzle_LDADD = $(LDADD)
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
DEFAULT_INCLUDES = -I. -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__maybe_remake_depfiles = depfiles
am__depfiles_remade = ./$(DEPDIR)/colorpick.Po ./$(DEPDIR)/fontl.Po \
	./$(DEPDIR)/puzzle.Po
am__mv = mv -f
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
AM_V_CC = $(am__v_CC_$(V))
am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
am__v_CC_0 = @echo "  CC      " $@;
am__v_CC_1 = 
CCLD = $(CC)
LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
AM_V_CCLD = $(am__v_CCLD_$(V))
am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
am__v_CCLD_0 = @echo "  CCLD    " $@;
am__v_CCLD_1 = 
SOURCES = colorpick.c fontl.c puzzle.c
DIST_SOURCES = colorpick.c fontl.c puzzle.c
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
# Read a list of newline-separated strings from the standard input,
# and print each of them once, without duplicates.  Input order is
# *not* preserved.
am__uniquify_input = $(AWK) '\
  BEGIN { nonempty = 0; } \
  { items[$$0] = 1; nonempty = 1; } \
  END { if (nonempty) { for (i in items) print i; }; } \
'
# Make sure the list of sources is unique.  This is necessary because,
# e.g., the same source file might be shared among _SOURCES variables
# for different programs/libraries.
am__define_uniq_tagged_files = \
  list='$(am__tagged_files)'; \
  unique=`for i in $$list; do \
    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  done | $(am__uniquify_input)`
ETAGS = etags
CTAGS = ctags
am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/depcomp README
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/profzoom/src/wmaker/wmaker-crm/missing aclocal-1.16
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 1
AR = ar
AUTOCONF = ${SHELL} /home/profzoom/src/wmaker/wmaker-crm/missing autoconf
AUTOHEADER = ${SHELL} /home/profzoom/src/wmaker/wmaker-crm/missing autoheader
AUTOMAKE = ${SHELL} /home/profzoom/src/wmaker/wmaker-crm/missing automake-1.16
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2 -Wall -Wextra -Wno-sign-compare -Werror=trampolines -Wno-deprecated -Wno-deprecated-declarations
CPP = gcc -E
CPPFLAGS =  -DNDEBUG -D_XOPEN_SOURCE=600 -D_GNU_SOURCE
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = false
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
FCLIBS = -lfontconfig -lfreetype
FGREP = /bin/grep -F
GFXLIBS =  -lXpm -lpng -ljpeg -lgif -ltiff
GREP = /bin/grep
HEADER_SEARCH_PATH = -I${includedir}  
ICONEXT = tiff
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
INTLIBS = 
LD = /usr/bin/ld -m elf_x86_64
LDFLAGS = 
LIBBSD = 
LIBEXIF = 
LIBM = -lm
LIBOBJS = 
LIBRARY_SEARCH_PATH = -L${libdir} 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIBXINERAMA = -lXinerama 
LIBXMU = -lXmu
LIBXRANDR = 
LINGUAS = 
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
LT_SYS_LIBRARY_PATH = 
MAGICKFLAGS = 
MAGICKLIBS = 
MAKEINFO = ${SHELL} /home/profzoom/src/wmaker/wmaker-crm/missing makeinfo
MANIFEST_TOOL = :
MANLANGDIRS = 
MKDIR_P = /bin/mkdir -p
MSGFMT = 
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = WindowMaker
PACKAGE_BUGREPORT = wmaker-dev@googlegroups.com
PACKAGE_NAME = WindowMaker
PACKAGE_STRING = WindowMaker 0.95.9
PACKAGE_TARNAME = WindowMaker
PACKAGE_URL = http://www.windowmaker.org/
PACKAGE_VERSION = 0.95.9
PANGOLIBS = 
PATH_SEPARATOR = :
PKG_CONFIG = /usr/bin/pkg-config
PKG_CONFIG_LIBDIR = 
PKG_CONFIG_PATH = 
PTHREAD_CC = gcc
PTHREAD_CFLAGS = -pthread
PTHREAD_LIBS = 
RANLIB = ranlib
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/bash
STRIP = strip
UTILMOFILES = 
VERSION = 0.95.9
WINGSMOFILES = 
WINGS_VERSION = 4:0:1
WMAKERMOFILES = 
WPREFSMOFILES = 
WRASTER_VERSION = 6:0:0
WUTIL_VERSION = 5:0:0
XCFLAGS = 
XFTCONFIG = /usr/bin/pkg-config xft
XFTFLAGS = -I/usr/include/uuid -I/usr/include/freetype2 -I/usr/include/libpng16
XFTLIBS = -lXft
XGETTEXT = xgettext
XLFLAGS = 
XLIBS = -lX11  -lXext
XMKMF = 
X_CFLAGS = 
X_EXTRA_LIBS = 
X_LIBRARY_PATH = 
X_LIBS = 
X_PRE_LIBS =  -lSM -lICE
abs_builddir = /home/profzoom/src/wmaker/wmaker-crm/WINGs/Examples
abs_srcdir = /home/profzoom/src/wmaker/wmaker-crm/WINGs/Examples
abs_top_builddir = /home/profzoom/src/wmaker/wmaker-crm
abs_top_srcdir = /home/profzoom/src/wmaker/wmaker-crm
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = $${TAR-tar} chof - "$$tardir"
am__untar = $${TAR-tar} xf -
ax_pthread_config = 
bindir = ${exec_prefix}/bin
build = x86_64-pc-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = pc
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
defsdatadir = ${sysconfdir}/WindowMaker
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-pc-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
inc_search_path = -I${includedir}  
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/profzoom/src/wmaker/wmaker-crm/install-sh
lcov_output_directory = 
lib_search_path = -L${libdir} 
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = $(MKDIR_P)
oldincludedir = /usr/include
pdfdir = ${docdir}
pixmapdir = ${datadir}/pixmaps
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
runstatedir = ${localstatedir}/run
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../../
top_builddir = ../..
top_srcdir = ../..
wprefs_bindir = ${exec_prefix}/bin
wprefs_datadir = ${datarootdir}/WPrefs
AUTOMAKE_OPTIONS = 
LDADD = $(top_builddir)/WINGs/libWINGs.la $(top_builddir)/wrlib/libwraster.la \
	$(top_builddir)/WINGs/libWUtil.la \
	-lXft  -lX11  -lXext

colorpick_DEPENDENCIES = $(top_builddir)/WINGs/libWINGs.la
fontl_DEPENDENCIES = $(top_builddir)/WINGs/libWINGs.la
puzzle_DEPENDENCIES = $(top_builddir)/WINGs/libWINGs.la
AM_CPPFLAGS = -I$(top_srcdir)/WINGs -I$(top_srcdir)/wrlib -I$(top_srcdir)/src \
	-DRESOURCE_PATH=\"$(datadir)/WINGs\" -I${includedir}  

all: all-am

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu WINGs/Examples/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --gnu WINGs/Examples/Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status

=== WINGs/Extras/Makefile ===
# Makefile.in generated by automake 1.16.1 from Makefile.am.
# WINGs/Extras/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2018 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.






am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/WindowMaker
pkgincludedir = $(includedir)/WindowMaker
pkglibdir = $(libdir)/WindowMaker
pkglibexecdir = $(libexecdir)/WindowMaker
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = x86_64-pc-linux-gnu
noinst_PROGRAMS = test$(EXEEXT)
subdir = WINGs/Extras
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/ax_cflags_gcc_option.m4 \
	$(top_srcdir)/m4/ax_pthread.m4 \
	$(top_srcdir)/m4/ld-version-script.m4 \
	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
	$(top_srcdir)/m4/lt~obsolete.m4 \
	$(top_srcdir)/m4/windowmaker.m4 \
	$(top_srcdir)/m4/wm_attributes.m4 \
	$(top_srcdir)/m4/wm_cflags_check.m4 \
	$(top_srcdir)/m4/wm_i18n.m4 \
	$(top_srcdir)/m4/wm_imgfmt_check.m4 \
	$(top_srcdir)/m4/wm_libexif.m4 $(top_srcdir)/m4/wm_libmath.m4 \
	$(top_srcdir)/m4/wm_prog_cc_c11.m4 \
	$(top_srcdir)/m4/wm_xext_check.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(include_HEADERS) \
	$(am__DIST_COMMON)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
PROGRAMS = $(noinst_PROGRAMS)
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__uninstall_files_from_dir = { \
  test -z "$$files" \
    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
         $(am__cd) "$$dir" && rm -f $$files; }; \
  }
am__installdirs = "$(DESTDIR)$(libdir)" "$(DESTDIR)$(includedir)"
LTLIBRARIES = $(lib_LTLIBRARIES)
libExtraWINGs_la_LIBADD =
am_libExtraWINGs_la_OBJECTS = wtableview.lo wtabledelegates.lo
libExtraWINGs_la_OBJECTS = $(am_libExtraWINGs_la_OBJECTS)
AM_V_lt = $(am__v_lt_$(V))
am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
am__v_lt_0 = --silent
am__v_lt_1 = 
test_SOURCES = test.c
test_OBJECTS = test.$(OBJEXT)
am__DEPENDENCIES_1 = $(top_builddir)/WINGs/libWINGs.la \
	$(top_builddir)/wrlib/libwraster.la \
	$(top_builddir)/WINGs/libWUtil.la
test_DEPENDENCIES = wtableview.o wtabledelegates.o \
	$(am__DEPENDENCIES_1)
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
DEFAULT_INCLUDES = -I. -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__maybe_remake_depfiles = depfiles
am__depfiles_remade = ./$(DEPDIR)/test.Po \
	./$(DEPDIR)/wtabledelegates.Plo ./$(DEPDIR)/wtableview.Plo
am__mv = mv -f
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
AM_V_CC = $(am__v_CC_$(V))
am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
am__v_CC_0 = @echo "  CC      " $@;
am__v_CC_1 = 
CCLD = $(CC)
LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
AM_V_CCLD = $(am__v_CCLD_$(V))
am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
am__v_CCLD_0 = @echo "  CCLD    " $@;
am__v_CCLD_1 = 
SOURCES = $(libExtraWINGs_la_SOURCES) test.c
DIST_SOURCES = $(libExtraWINGs_la_SOURCES) test.c
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
HEADERS = $(include_HEADERS)
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
# Read a list of newline-separated strings from the standard input,
# and print each of them once, without duplicates.  Input order is
# *not* preserved.
am__uniquify_input = $(AWK) '\
  BEGIN { nonempty = 0; } \
  { items[$$0] = 1; nonempty = 1; } \
  END { if (nonempty) { for (i in items) print i; }; } \
'
# Make sure the list of sources is unique.  This is necessary because,
# e.g., the same source file might be shared among _SOURCES variables
# for different programs/libraries.
am__define_uniq_tagged_files = \
  list='$(am__tagged_files)'; \
  unique=`for i in $$list; do \
    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  done | $(am__uniquify_input)`
ETAGS = etags
CTAGS = ctags
am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/depcomp
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/profzoom/src/wmaker/wmaker-crm/missing aclocal-1.16
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 1
AR = ar
AUTOCONF = ${SHELL} /home/profzoom/src/wmaker/wmaker-crm/missing autoconf
AUTOHEADER = ${SHELL} /home/profzoom/src/wmaker/wmaker-crm/missing autoheader
AUTOMAKE = ${SHELL} /home/profzoom/src/wmaker/wmaker-crm/missing automake-1.16
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2 -Wall -Wextra -Wno-sign-compare -Werror=trampolines -Wno-deprecated -Wno-deprecated-declarations
CPP = gcc -E
CPPFLAGS =  -DNDEBUG -D_XOPEN_SOURCE=600 -D_GNU_SOURCE
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = false
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
FCLIBS = -lfontconfig -lfreetype
FGREP = /bin/grep -F
GFXLIBS =  -lXpm -lpng -ljpeg -lgif -ltiff
GREP = /bin/grep
HEADER_SEARCH_PATH = -I${includedir}  
ICONEXT = tiff
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
INTLIBS = 
LD = /usr/bin/ld -m elf_x86_64
LDFLAGS = 
LIBBSD = 
LIBEXIF = 
LIBM = -lm
LIBOBJS = 
LIBRARY_SEARCH_PATH = -L${libdir} 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIBXINERAMA = -lXinerama 
LIBXMU = -lXmu
LIBXRANDR = 
LINGUAS = 
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
LT_SYS_LIBRARY_PATH = 
MAGICKFLAGS = 
MAGICKLIBS = 
MAKEINFO = ${SHELL} /home/profzoom/src/wmaker/wmaker-crm/missing makeinfo
MANIFEST_TOOL = :
MANLANGDIRS = 
MKDIR_P = /bin/mkdir -p
MSGFMT = 
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = WindowMaker
PACKAGE_BUGREPORT = wmaker-dev@googlegroups.com
PACKAGE_NAME = WindowMaker
PACKAGE_STRING = WindowMaker 0.95.9
PACKAGE_TARNAME = WindowMaker
PACKAGE_URL = http://www.windowmaker.org/
PACKAGE_VERSION = 0.95.9
PANGOLIBS = 
PATH_SEPARATOR = :
PKG_CONFIG = /usr/bin/pkg-config
PKG_CONFIG_LIBDIR = 
PKG_CONFIG_PATH = 
PTHREAD_CC = gcc
PTHREAD_CFLAGS = -pthread
PTHREAD_LIBS = 
RANLIB = ranlib
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/bash
STRIP = strip
UTILMOFILES = 
VERSION = 0.95.9
WINGSMOFILES = 
WINGS_VERSION = 4:0:1
WMAKERMOFILES = 
WPREFSMOFILES = 
WRASTER_VERSION = 6:0:0
WUTIL_VERSION = 5:0:0
XCFLAGS = 
XFTCONFIG = /usr/bin/pkg-config xft
XFTFLAGS = -I/usr/include/uuid -I/usr/include/freetype2 -I/usr/include/libpng16
XFTLIBS = -lXft
XGETTEXT = xgettext
XLFLAGS = 
XLIBS = -lX11  -lXext
XMKMF = 
X_CFLAGS = 
X_EXTRA_LIBS = 
X_LIBRARY_PATH = 
X_LIBS = 
X_PRE_LIBS =  -lSM -lICE
abs_builddir = /home/profzoom/src/wmaker/wmaker-crm/WINGs/Extras
abs_srcdir = /home/profzoom/src/wmaker/wmaker-crm/WINGs/Extras
abs_top_builddir = /home/profzoom/src/wmaker/wmaker-crm
abs_top_srcdir = /home/profzoom/src/wmaker/wmaker-crm
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = $${TAR-tar} chof - "$$tardir"
am__untar = $${TAR-tar} xf -
ax_pthread_config = 
bindir = ${exec_prefix}/bin
build = x86_64-pc-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = pc
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
defsdatadir = ${sysconfdir}/WindowMaker
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-pc-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
inc_search_path = -I${includedir}  

# is this a kluge? if so, how should i do it?
includedir = ${prefix}/include/WINGs
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/profzoom/src/wmaker/wmaker-crm/install-sh
lcov_output_directory = 
lib_search_path = -L${libdir} 
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var

=== debian/changelog ===
wmaker (0.95.9-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since stretch:
    + wmaker-utils: Drop versioned constraint on wmaker in Replaces.
    + wmaker-utils: Drop versioned constraint on wmaker in Breaks.
    + Remove 5 maintscript entries from 1 files.
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Set upstream metadata fields: Repository.
  * Fix day-of-week for changelog entries 0.95.4-1, 0.95.3-2, 0.95.3-1,
    0.95.0+20111028-4, 0.14.0-2, 0.14.0-1, 0.13.1-0.1, 0.12.3-0.5.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.
  * Remove constraints unnecessary since buster

  [ Doug Torrance ]
  * debian/changelog
    - Enclose John H. Robinson, IV's name in quotes to avoid
      bogus-mail-host-in-debian-changelog Lintian error (see #966295).
  * debian/control
    - Update Maintainer email address to use tracker.d.o.
    - Bump Standards-Version to 4.6.0.
    - Bump to debhelper compatibility level 13.
  * debian/copyright
    - Use https for Source URL.
  * debian/debianfiles/wmaker
    - Update paths to wmaker and convertfonts; now in /usr/libexec.
  * debian/not-installed
    - New file; specify files that aren't installed so dh_missing doesn't
      cause build failures after the bump to debhelper 13.
  * debian/patches/10_support_imagemagick6.diff
    - Update patch to match upstream; support both imagemagick 6 and 7.
  * debian/patches/20_national_encoding.diff
    - New patch; convert README's from ISO-8859-1 to UTF-8.
  * debian/patches/21_wrong_manual_section.diff
    - New patch; use quotes around "Window Maker" in translated manpage
      title headers to prevent wront-manual-section Lintian warnings.
  * debian/patches/{53,75}*.diff
    - Set "Forwarded: not-needed" for Debian-specific patches.
  * debian/upstream/metadata
    - Add Bug-* fields.
  * debian/wmaker-common.lintian-overrides
    - New file; override no-manual-page Lintian warning.
  * debian/wmaker.install
    - Install wmaker and convertfiles to /usr/libexec for FHS compliance.

 -- Doug Torrance <dtorrance@piedmont.edu>  Fri, 08 Oct 2021 22:20:31 -0400

wmaker (0.95.9-2) unstable; urgency=low

  * Ship manpages from as-installed location (debian/tmp) instead of
    sourcetree to make dh_missing output more useful.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 18 Apr 2020 11:30:41 +0200

wmaker (0.95.9-1) experimental; urgency=low

  [ Doug Torrance ]
  * New upstream release.
    - No longer sets GNUSTEP_USER_ROOT environment variable
      (Closes: #922284).
    - Prefers TryExec to Exec when generating menu entries from XDG desktop
      files (closes: #930674).
    - Drop patches previously pulled from upstream GIT:
      10_util-fix-parsing-of-XDG-menus-with-multiple-groups.patch
      11_XDG-menu-categories.patch 12_reference-proplist-menus.patch
      60_fix_pkg-config_variable_typo.patch
    - Unfuzz 75_WPrefs_to_bindir_when_gnustedir_is_set.diff
    - 54_Debian_wmmacros.diff dropped, main functionality included upstream.
  * debian/compat
    - Remove file; compatibility level now handled by debhelper-compat
      package.
  * debian/control
    - Bump Standards-Version to 4.5.0.
    - Switch Build-Depends on debhelper to debhelper-compat for
      compatibility level 12.
  * debian/lib*.symbols
    - Add Build-Depends-Package fields.
  * debian/libwings3.symbols
    - Add new WINGs symbols.
  * debian/patches/10_support_imagemagick6.diff
    - New patch; restore support for ImageMagick v6, as v7 is not in
      Debian yet.
  * debian/patches/.keepme
    - Remove unnecessary file; was causing
      patch-file-present-but-not-mentioned-in-series Lintian warning.
  * debian/README.Debian
    - Fix typo.
  * debian/rules
    - Remove replacement of #wmdatadir# to $(WMSHAREDIR) in some menu
      files; this is now done by upstream during build.
    - Install README's from WindowMaker directory correctly. Avoids
      package-contains-documentation-outside-usr-share-doc Lintian
      warning.
  * debian/wmaker-common.docs
    - Use wildcard to catch all the README's that have been renamed
      in d/rules.

 -- Andreas Metzler <ametzler@debian.org>  Tue, 14 Apr 2020 18:06:26 +0200

wmaker (0.95.8-3) unstable; urgency=low

  [ Doug Torrance ]
  * debian/compat
    - Bump debhelper compatibility level to 11.
  * debian/control
    - Bump versioned dependency on debhelper to >= 11.
    - Drop automake (>= 1:1.12) from Build-Depends; automake 1.14 is
      now in oldstable.
    - Add libmagickwand-6.q16-dev to Build-Depends.
    - Add libpango1.0-dev to Build-Depends.  We have been passing
      --enable-pango to configure during build since version 0.95.7-1,
      but it has been failing.
    - Bump Standards-Version to 4.2.1.
    - Use https in Homepage.
    - Update Vcs-* after migration to Salsa.
  * debian/copyright
    - Update Format to https.
  * debian/patches/60_fix_pkg-config_variable_typo.patch
    - New patch; correctly call pkg-config when building with
      ImageMagick support.
  * debian/README.Debian
    - Add documentation for new FreeDesktop-style menu which replaced
      the deprecated Debian menu (Closes: #872879).
  * debian/rules
    - Add --enable-magick configure option to enable ImageMagick
      support (Closes: #905608).
    - Remove --parallel option to dh; default after debhelper 10.
  * debian/watch
    - Use https for download link.

  [ Andreas Metzler ]
  * Delete trailing whitespace in Debian changelog. (Thanks, lintian)
  * 75_WPrefs_to_bindir_when_gnustedir_is_set.diff: Install main WPrefs
    executable to /usr/bin even if --with-gnustepdir is used.
    Build with --with-gnustepdir=/usr/share/GNUstep (instead of
    /usr/share/lib/...) and fix references in debian/* accordingly.
    (LP: #1742842)
  * Set Rules-Requires-Root: no.

 -- Andreas Metzler <ametzler@debian.org>  Thu, 13 Sep 2018 19:16:14 +0200

=== debian/control ===
Source: wmaker
Section: x11
Priority: optional
Maintainer: Debian Window Maker Team <team+wmaker@tracker.debian.org>
Uploaders: Andreas Metzler <ametzler@debian.org>,
           Doug Torrance <dtorrance@piedmont.edu>
Rules-Requires-Root: no
Standards-Version: 4.6.0
Build-Depends: debhelper-compat (= 13),
               gettext,
               libfontconfig1-dev,
               libgif-dev,
               libjpeg-dev,
               libmagickwand-6.q16-dev,
               libpango1.0-dev,
               libpng-dev,
               libsm-dev,
               libtiff-dev,
               libtool,
               libx11-dev,
               libxext-dev,
               libxft-dev,
               libxinerama-dev,
               libxkbfile-dev,
               libxmu-dev,
               libxpm-dev,
               libxrandr-dev,
               libxrender-dev,
               libxt-dev,
               sharutils
Homepage: https://www.windowmaker.org/
Vcs-Browser: https://salsa.debian.org/wmaker-team/wmaker
Vcs-Git: https://salsa.debian.org/wmaker-team/wmaker.git

Package: wmaker
Architecture: any
Multi-Arch: foreign
Depends: wmaker-common (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Provides: x-window-manager
Suggests: desktop-base,
          wmaker-data,
          wmaker-utils,
          x-terminal-emulator,
          x11-apps,
          xterm
Breaks: wmaker-common (<< 0.95.8-2~)
Replaces: wmaker-common (<< 0.95.8-2~)
Description: NeXTSTEP-like window manager for X
 Written by Alfredo Kojima almost from scratch, resembles the NeXTStep look
 very closely, and it is now an official GNU project. Window Maker (originally
 named WindowMaker) is not overloaded with features, and it is easier to
 configure than most other window managers. Its final goal is to produce a
 window manager that doesn't require editing of configuration files.
 Window Maker is fast and doesn't require tons of memory to run.

Package: wmaker-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Suggests: wmaker
Description: Window Maker - Architecture independent files
 Written by Alfredo Kojima almost from scratch, resembles the NeXTStep look
 very closely, and it is now an official GNU project. Window Maker (originally
 named WindowMaker) is not overloaded with features, and it is easier to
 configure than most other window managers. Its final goal is to produce a
 window manager that doesn't require editing of configuration files.
 Window Maker is fast and doesn't require tons of memory to run.
 .
 This package contains the architecture independent files.

Package: wmaker-utils
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Window Maker - Utilities
 Written by Alfredo Kojima almost from scratch, resembles the NeXTStep look
 very closely, and it is now an official GNU project. Window Maker (originally
 named WindowMaker) is not overloaded with features, and it is easier to
 configure than most other window managers. Its final goal is to produce a
 window manager that doesn't require editing of configuration files.
 Window Maker is fast and doesn't require tons of memory to run.
 .
 This package contains wxcopy and wxpaste, two utilities ordinarily shipped with
 Window Maker but not depending on it or any of its libraries.  These
 utilities allow users to interact with cut buffers on the command line.

Package: libwraster-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libc6-dev,
         libgif-dev,
         libjpeg-dev,
         libpng-dev,
         libtiff5-dev,
         libwraster6 (= ${binary:Version}),
         libx11-dev,
         libxext-dev,
         libxpm-dev,
         ${misc:Depends}
Breaks: libwraster3-dev
Replaces: libwraster3-dev
Description: Static libraries and headers of Window Maker rasterizer
 This library is used to manipulate images and convert them to
 a format that can be displayed through the X window system.
 Read the wraster.h header for an idea of what is available
 .
 Contains libwraster and header files, for manipulating and
 rasterizing images.

Package: libwraster6
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Shared libraries of Window Maker rasterizer
 This library is used to manipulate images and convert them to
 a format that can be displayed through the X window system.
 Read the wraster.h header for an idea of what is available

Package: libwings-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libc6-dev,
         libfontconfig1-dev,
         libwings3 (= ${binary:Version}),
         libwraster-dev,
         libwutil5 (= ${binary:Version}),
         libx11-dev,
         libxext-dev,
         libxft-dev,
         ${misc:Depends}
Description: Window Maker's own widget set
 WINGs Is Not GNUstep (WINGs) is a small widget set with the NeXTSTEP
 look and feel. Its API is inspired in OpenSTEP and its
 implementation borrows some ideas from Tk. It has a reasonable set of
 widgets, sufficient for building small applications like a CDPlayer
 or hacking something like rxvt. It is used for basic widgets in
 the WindowMaker window manager.

Package: libwutil5
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends},
         wmaker-common (>= ${source:Version})
Description: Window Maker's own widget set - utility library
 WINGs Is Not GNUstep (WINGs) is a small widget set with the NeXTSTEP
 look and feel. Its API is inspired in OpenSTEP and its
 implementation borrows some ideas from Tk. It has a reasonable set of
 widgets, sufficient for building small applications like a CDPlayer
 or hacking something like rxvt. It is used for basic widgets in
 the WindowMaker window manager.
 .
 This package contains the libWUtils runtime library.

Package: libwings3
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends},
         wmaker-common (>= ${source:Version})
Description: Window Maker's own widget set - runtime library
 WINGs Is Not GNUstep (WINGs) is a small widget set with the NeXTSTEP
 look and feel. Its API is inspired in OpenSTEP and its
 implementation borrows some ideas from Tk. It has a reasonable set of
 widgets, sufficient for building small applications like a CDPlayer
 or hacking something like rxvt. It is used for basic widgets in
 the WindowMaker window manager.
 .
 This package contains the libWINGs runtime library.

Package: libwmaker-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libwmaker1 (= ${binary:Version}), libx11-dev, ${misc:Depends}
Description: Static libraries and headers for Window Maker applications
 Window Maker is a NeXTSTEP-like window manager for X.
 .
 This package contains libWMaker and header files, for building
 Window Maker aware applications.

Package: libwmaker1
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Runtime library for Window Maker applications
 Window Maker is a NeXTSTEP-like window manager for X.
 .
 This package contains the libWMaker runtime library for Window Maker
 aware applications.

=== debian/rules ===
#!/usr/bin/make -f
# export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND += -Wall

LINGUAS           := $(patsubst po/%.po, %, $(wildcard po/*.po))

WMAKER_OPTIONS := --disable-xlocale --enable-modelock --enable-pango \
                  --enable-xinerama --enable-magick
#not-enabled      --enable-usermenu --disable-shape --disable-shm --enable-randr
#not-enabled      --disable-xpm --disable-png --disable-jpeg --disable-gif --disable-tiff

# Debian packages destination folder
DEBIAN_TMP        := debian/tmp

# Be careful with the leading / because some of these values are going
# to be hardcoded into the executables
BASEDIR           := /usr
INCLUDEDIR        := $(BASEDIR)/include
SHAREDIR          := $(BASEDIR)/share
GNUSTEPDIR        := $(SHAREDIR)/GNUstep/System
WMSHAREDIR        := $(SHAREDIR)/WindowMaker
PIXMAPDIR         := $(INCLUDEDIR)/X11/pixmaps
DEFSDATADIR       := /etc/GNUstep/Defaults

COMMON_OPTIONS    := --datadir=$(SHAREDIR)            \
                     --with-pixmapdir=$(PIXMAPDIR)    \
                     --with-gnustepdir=$(GNUSTEPDIR)  \
                     --with-defsdatadir=$(DEFSDATADIR)

%:
	dh $@

override_dh_auto_configure:
	env LINGUAS="$(LINGUAS)" dh_auto_configure --verbose -- \
		$(COMMON_OPTIONS) $(WMAKER_OPTIONS)

override_dh_installdocs:
	# Readmes - Copy+rename before install
	# We use the root of the temporal directory debian/tmp
	cp po/README $(DEBIAN_TMP)/README.po
	cp README.definable-cursor $(DEBIAN_TMP)/README.definable-cursor
	cp WindowMaker/Icons/README $(DEBIAN_TMP)/README.Icons
	cp WindowMaker/README $(DEBIAN_TMP)/README.menu
	cp WindowMaker/README.themes $(DEBIAN_TMP)/README.themes
	cp WPrefs.app/README $(DEBIAN_TMP)/README.WPrefs
	cp WPrefs.app/po/README $(DEBIAN_TMP)/README.WPrefs.po
	dh_installdocs

override_dh_install:
	# Fix perms for /usr/share/WindowMaker/*sh before install them
	chmod +x $(DEBIAN_TMP)$(WMSHAREDIR)/autostart.sh
	chmod +x $(DEBIAN_TMP)$(WMSHAREDIR)/exitscript.sh

	# Install files
	dh_install -XREADME

override_dh_installwm:
	dh_installwm --priority=50
